Skip to main content
GET
/
billing
/
networkvolumes
Network volume billing history
curl --request GET \
  --url https://rest.runpod.io/v1/billing/networkvolumes \
  --header 'Authorization: Bearer <token>'
[
  {
    "amount": 100.5,
    "diskSpaceBilledGb": 50,
    "highPerformanceStorageAmount": 100.5,
    "highPerformanceStorageDiskSpaceBilledGb": 50,
    "time": "2023-01-01T00:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

bucketSize
enum<string>
default:day

The length of each billing time bucket. The billing time bucket is the time range over which each billing record is aggregated.

Available options:
hour,
day,
week,
month,
year
endTime
string<date-time>

The end date of the billing period to retrieve.

Example:

"2023-01-31T23:59:59Z"

startTime
string<date-time>

The start date of the billing period to retrieve.

Example:

"2023-01-01T00:00:00Z"

Response

200 - application/json

Successful operation.

amount
number

The amount charged for the group for the billing period, in USD.

Example:

100.5

diskSpaceBilledGb
integer

The amount of disk space billed for the billing period, in gigabytes (GB). Does not apply to all resource types.

Example:

50

highPerformanceStorageAmount
number

The amount charged for high performance storage for the billing period, in USD.

Example:

100.5

highPerformanceStorageDiskSpaceBilledGb
integer

The amount of high performance storage disk space billed for the billing period, in gigabytes (GB).

Example:

50

time
string<date-time>

The start of the period for which the billing record applies.

Example:

"2023-01-01T00:00:00Z"